<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
global $product;
global $post;

$upload_form = array();
$settings_modules = !empty(get_option('solutions_core_settings')) ? get_option('solutions_core_settings') : array();

if(in_array('order-upload', $settings_modules)) {
	if(class_exists('NB_Solution')){
		$upload_form = NB_Solution::get_setting('order-upload');
	}
}
?>

<?php
	/**
	 * woocommerce_before_single_product hook.
	 *
	 * @hooked wc_print_notices - 10
	 */
	 do_action( 'woocommerce_before_single_product' );

	 if ( post_password_required() ) {
	 	echo get_the_password_form();
	 	return;
	 }
?>

<div id="product-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="single-product-wrap">
		<div class="product-image">
		<?php
			/**
			 * woocommerce_before_single_product_summary hook.
			 *
			 * @hooked woocommerce_show_product_sale_flash - 10
			 * @hooked woocommerce_show_product_images - 20
			 */
			do_action( 'woocommerce_before_single_product_summary' );
		?>
		</div>
		<div class="summary entry-summary">

			<?php
				/**
				 * woocommerce_single_product_summary hook.
				 *
				 * @hooked woocommerce_template_single_title - 5
				 * @hooked woocommerce_template_single_rating - 10
				 * @hooked woocommerce_template_single_price - 10
				 * @hooked woocommerce_template_single_excerpt - 20
				 * @hooked woocommerce_template_single_add_to_cart - 30
				 * @hooked woocommerce_template_single_meta - 40
				 * @hooked woocommerce_template_single_sharing - 50
				 * @hooked WC_Structured_Data::generate_product_data() - 60
				 */
				do_action( 'woocommerce_single_product_summary' );
			?>

		</div><!-- .summary -->
	</div>

	<?php 

	if( ! $product->is_type( 'simple' ) && ! $product->is_type( 'external' ) && ! $product->is_type( 'grouped' ) && get_post_meta($post->ID, '_enable_price_matrix', true) != 'on') {
		do_action('netbase_add_to_cart_hook');
	}?>

	<?php if( $product->is_type( 'simple' ) && get_post_meta($post->ID, '_order_upload', true) == 'on' && (isset($upload_form['nbt_order_upload_upload_form_position']) && $upload_form['nbt_order_upload_upload_form_position'] != 'woocommerce_single_product_summary') ) {?>
		<div class="wrap-orderupload">
			<div class="wrap-row">
				<?php do_action('netbase_add_to_cart_hook');?>
				<div class="wrap-button">
					<?php do_action('woocommerce_after_cart_button'); ?>
					<?php if( function_exists('nbcore_share_social') && 'inside-content' === aidoo_get_options('share_buttons_position')):?>
						<div class="social"><?php esc_html_e("SHARE THIS PRODUCT",'aidoo'); nbcore_share_social(); ?></div>
					<?php endif;?>
				</div>
			</div>
		</div>
	<?php }
	
	/**
	 * woocommerce_after_single_product_summary hook.
	 *
	 * @hooked woocommerce_output_product_data_tabs - 10
	 * @hooked woocommerce_upsell_display - 15
	 * @hooked woocommerce_output_related_products - 20
	 */
	do_action( 'woocommerce_after_single_product_summary' );
	if('accordion-tabs' == aidoo_get_options('nbcore_info_style')) {
		wc_get_template('netbase/single-product/tabs/accordion.php');
	} else {
		wc_get_template('netbase/single-product/tabs/default.php');
	}

	if(aidoo_get_options('nbcore_show_upsells')) {
		woocommerce_upsell_display();
	}
	
	if(aidoo_get_options('nbcore_show_related')) {
		woocommerce_output_related_products();
	}
	?>

</div>

<?php do_action( 'woocommerce_after_single_product' ); ?>
